body {
    background-color: #f9f9f9;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin: 0;
    font-family: Arial, sans-serif;
}

#title,
#logo {
    display: none;
}

.front-page #title,
.front-page #logo {
    display: block;
}

#title img {
    width: 300px;
    height: auto;
}

#logo img {
    display: block;
    margin: 40px auto;
    width: 200px;
    height: auto;
}

#home {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 30px;
    height: 100vh;
}

#home button {
    margin: 20px;
    padding: 0;
    border: none;
    background: none;
    cursor: pointer;
    width: 200px;
    height: 70px;
}

#home button img {
    width: 100%;
    height: auto;
}

#scanner,
#inventory,
#newEntryForm {
    display: none;
    text-align: center;
}

#scanner input[type=text],
#newEntryForm input[type=text],
#newEntryForm input[type=date],
#newEntryForm textarea {
    width: 100%;
    padding: 8px;
    border: none;
    border-bottom: 1px solid #ccc;
    box-sizing: border-box;
    font-size: 16px;
    margin-bottom: 15px;
}

#scanner button,
#newEntryForm button {
    margin-top: 10px;
    padding: 10px 20px;
    border: none;
    color: #4CAF50;
    cursor: pointer;
    font-size: 16px;
    display: block;
    width: 100%;
    background: none;
}

#newEntryForm .button-group {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.button-img {
    width: 200px;
    height: 70px;
    cursor: pointer;
    margin: 10px 0;
    border: none;
    background: none;
}

h1 {
    color: green;
    font-size: 48px;
    margin-bottom: 20px;
    text-align: center;
}

#inventory h2 {
    font-size: 36px;
    color: blue;
    margin-bottom: 20px;
    text-align: center;
}

table {
    margin-top: 20px;
    width: 100%;
    border-collapse: separate;
    border-spacing: 30px;
    margin-bottom: 0;
}

th, td {
    padding: 12px;
    text-align: center;
    border: 1px solid #ccc;
}

th:first-child, td:first-child {
    text-align: left;
}

td {
    background-color: #f0f0f0;
    border-radius: 10px;
}

thead th {
    padding: 12px;
}

thead th, tbody td {
    text-align: center;
}

video {
    width: 640px;
    height: 360px;
    border: 1px solid #ddd;
    background-color: #000;
}

canvas {
    display: none;
}

#notification {
    display: none;
    position: fixed;
    top: 10px;
    right: 10px;
    background-color: #ffcc00;
    color: #333;
    padding: 15px;
    border-radius: 5px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
    z-index: 1000;
    font-size: 16px;
    font-family: Arial, sans-serif;
}
